<!--
 * @Date: 2024-05-20 21:43:10
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-20 22:18:51
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/file/admin/index.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <el-container>
                <el-aside width="200px">
                    <el-tree default-expand-all ref="group" node-key="id" :data="treeData" :props="{
                        label: 'name',
                    }" @node-click="nodeClick" highlight-current :current-node-key="selectNode.id"></el-tree>
                </el-aside>
                <el-container>
                    <el-header>
                        <el-button style="margin-left: 8px;margin-right: auto;" type="danger" plain
                            :disabled="selection.length == 0" @click="del(selection)">删除</el-button>
                    </el-header>
                    <el-main>
                        <scTable highlight-current-row @dataChange="dataChange" @row-click="rowClick" ref="table"
                            :params="params" :apiObj="apiObj" @selection-change="selectionChange" stripe>
                            <el-table-column type="selection" width="50"></el-table-column>
                            <el-table-column label="文件名称" prop="name">
                            </el-table-column>
                            <el-table-column label="版本" prop="allPathName"></el-table-column>
                            <el-table-column label="文件大小" prop="contentLength"></el-table-column>
                            <el-table-column label="文件类型" prop="suffix"></el-table-column>
                            <el-table-column label="创建人" prop="updateTime"></el-table-column>
                            <el-table-column label="创建时间" prop="updateTime"></el-table-column>
                            <el-table-column label="操作" fixed="right" align="right" width="160">
                                <template #default="scope">
                                    <el-button-group>
                                        <el-button text type="primary" size="small"
                                            @click="table_edit(scope.row, scope.$index)">编辑</el-button>
                                        <el-button text type="primary" size="small"
                                            @click="del([scope.row])">删除</el-button>
                                    </el-button-group>
                                </template>
                            </el-table-column>
                        </scTable>
                    </el-main>
                </el-container>
            </el-container>

        </el-card>
    </el-main>
</template>

<script>
export default {
    data() {
        return {
            selection: [],
            selectNode: {
                id: ''
            },
            treeData: [],
            params: {
                startTime: '',
                endTime: '',
                keywords: '',
                workstationId: ''
            },
            apiObj: {
                get: async (data) => {
                    let params = {
                        current: data.current,
                        size: data.size
                    }
                    let data1 = {
                        arId: this.selectNode.id,
                        ...this.params
                    }
                    return await this.$HTTP.post(`/api/blade-dnc/dnc-archive-directory-file/page`, {}, { params, data: data1 }).then(res => {
                        return res
                    })
                }
            },
        }
    },
    mounted() {
        this.init()
    },
    methods: {
        init() {
            this.$HTTP.get(`/api/blade-dnc/dnc-archive-directory/list?parentId=`).then(res => {
                console.log(res.data, '>>>>>')
                this.treeData = res.data
                this.nodeClick(res.data[0])
            })
        },
        nodeClick(node) {
            if (!node) return
            this.selectNode = node
            console.log(node.id)
            this.$nextTick(() => {
                this.$refs?.table?.reload()
            })
        },
        selectionChange(selection) {
            this.selection = selection
        },
        del(selection) {

        },
        table_edit() {

        },
        rowClick() {

        },
        dataChange() {

        }
    }
}
</script>

<style lang="scss" scoped></style>